<?php

namespace App\Model\Entities\Components\Article;

use App\Model\Entities\Security\User;
use App\Model\Entities\Components\TextEntryVersion;
use Doctrine\ORM\Mapping as ORM;


/**
 * @ORM\Entity
 */
class ArticleVersion extends TextEntryVersion
{
    public function __construct(User $createdBy, Article $textEntry, $language)
    {
        parent::__construct($createdBy, $textEntry, $language);
    }

    /**
     * @return Article
     */
    public function getArticle()
    {
        return $this->textEntry;
    }

}